Discover Centmin Mod today
Register Now

Centmin Mod Updates for Nginx 1.11.6+ Compatibility Fixes

Discussion in 'Centmin Mod News' started by eva2000, Nov 17, 2016.

Thread Status:
Not open for further replies.
  1. eva2000

    eva2000 Administrator Staff Member

    30,546
    6,849
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,262
    Local Time:
    8:56 AM
    Nginx 1.13.x
    MariaDB 5.5
    Centmin Mod 123.08stable and 123.09beta01 branch have been updated to fix Nginx 1.11.6 compatibility issue. All Centmin Mod users need to update their local server's Centmin Mod branch code in /usr/local/src/centminmod via centmin.sh menu option 23 submenu option 2 outlined at https://centminmod.com/upgrade.html. Without updating, you will no longer be able to run centmin.sh menu option 4 to upgrade to Nginx versions 1.11.6+ and higher.

    Centmin Mod Nginx includes 3rd party OpenResty Nginx modules and 2 of these modules for redis2-nginx-module and memc-nginx-module have compatibility issues with compiling/upgrading to Nginx 1.11.6 due to ABI changes made in 1.11.6.

    OpenResty Nginx Modules affected
    Bug Reports

    Upgrading Centmin Mod Code to Latest Version



    Getting Started Guide step 19 outlines also how to keep Centmin Mod code updated or how to switch version branches.

    Centmin Mod LEMP stack's script code is constantly updated for improvements, bug fixes and security fixes so keeping the Centmin Mod code up to date is important. With Centmin Mod 1.2.3-eva2000.08) (123.08stable) and higher releases, a newly added centmin.sh menu option 23 allows much easier code updates and version branch swicthing via Git backed environment you can setup. For full details read the following links:

     
Thread Status:
Not open for further replies.